curl --request PATCH \
--url https://demo.enneo.ai/api/mind/profile/{id}/routingStatus \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"callRoutingStatus": "idle",
"chatRoutingStatus": "idle"
}
'{
"success": true
}Update the routing status for calls and chats for a specific profile. Necessary to manually control which agents should be able to take calls or chats when integrating a custom telephony solution. Requires having ‘updateSpecificProfile’ permission.
curl --request PATCH \
--url https://demo.enneo.ai/api/mind/profile/{id}/routingStatus \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"callRoutingStatus": "idle",
"chatRoutingStatus": "idle"
}
'{
"success": true
}Documentation Index
Fetch the complete documentation index at: https://docs.enneo.ai/llms.txt
Use this file to discover all available pages before exploring further.
JWT-based authentication
The id of the profile to update routing status for
The routing status for queues (calls, chats, etc)
idle, interacting, beingConnected, notResponding, unavailable, offline, acw The routing status for queues (calls, chats, etc)
idle, interacting, beingConnected, notResponding, unavailable, offline, acw Successful operation
Data format of Enneo success messages
Operation was successful
true